#!/usr/bin/make -f

export PYBUILD_NAME=zope.interface
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS = -o consider_namespace_packages=true
ifeq ($(PYBUILD_AUTOPKGTEST),1)
PYBUILD_TEST_ARGS += /usr/lib/python3/dist-packages/zope/interface/tests
endif
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

package3=python3-zope.interface

execute_after_dh_auto_install:
	# Remove C sources.
	find debian/$(package3) -name '*.c' | xargs -r rm -f

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_strip:
	dh_strip --dbgsym-migration='python3-zope.interface-dbg (<< 5.4.0-2~)'

execute_after_dh_auto_clean:
	rm -f .eggs/README.txt
	rm -f src/zope.interface.egg-info/requires.txt
	rm -f src/zope/interface/_zope_interface_coptimizations.*.so
